﻿@model ContestPostViewModel
@using PhotoContest.Domain.ViewModels.ContestViewModels
@{
    ViewData["Title"] = "Create a new Contest!";
}

<div class="container">
    <h3 class="display-4">Create a Contest!</h3>

    <hr />
    @if (ViewBag.IsSuccess == true)
    {
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            <strong>Congratulations</strong> You have rated the photo successfully. <br />
            Click <a asp-controller="Contests" asp-action="Create" asp-route="@Model">here</a> to view the details
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    }

<form method="post" enctype="multipart/form-data" asp-action="Create" asp-controller="Contests" >
    <div asp-validation-summary="ModelOnly" class="text-danger"></div>

    <div class="form-group">
        <label asp-for="Title" class="control-label"></label>
        <input asp-for="Title" class="form-control" />
        <span asp-validation-for="Title" class="text-danger"></span>
    </div>

    <div class="form-group">
        <label asp-for="Category" class="control-label"></label>
        <input asp-for="Category" class="form-control" />
        <span asp-validation-for="Category" class="text-danger"></span>
    </div>


    <div class="form-group">
        <label asp-for="Type" class="control-label"></label>
        <input asp-for="Type" class="form-control" />
        <span asp-validation-for="Type" class="text-danger"></span>
    </div>

    <div class="form-group">
        <label asp-for="PhaseITerm" class="control-label"></label>
        <input asp-for="PhaseITerm" class="form-control" />
        <span asp-validation-for="PhaseITerm" class="text-danger"></span>
    </div>

    <div class="form-group">
        <label asp-for="PhaseIITerm" class="control-label"></label>
        <input asp-for="PhaseIITerm" class="form-control" />
        <span asp-validation-for="PhaseIITerm" class="text-danger"></span>
    </div>

    <div class="form-group">
        <input type="submit" value="Create it!" class="btn btn-primary" />
    </div>
</form>
</div>